// Generated by gencpp from file moveit_trajectory_interface/FollowRequest.msg
// DO NOT EDIT!


#ifndef MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOWREQUEST_H
#define MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOWREQUEST_H


#include <string>
#include <vector>
#include <memory>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace moveit_trajectory_interface
{
template <class ContainerAllocator>
struct FollowRequest_
{
  typedef FollowRequest_<ContainerAllocator> Type;

  FollowRequest_()
    : topic()
    , flag(false)  {
    }
  FollowRequest_(const ContainerAllocator& _alloc)
    : topic(_alloc)
    , flag(false)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>> _topic_type;
  _topic_type topic;

   typedef uint8_t _flag_type;
  _flag_type flag;





  typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> const> ConstPtr;

}; // struct FollowRequest_

typedef ::moveit_trajectory_interface::FollowRequest_<std::allocator<void> > FollowRequest;

typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowRequest > FollowRequestPtr;
typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowRequest const> FollowRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator1> & lhs, const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator2> & rhs)
{
  return lhs.topic == rhs.topic &&
    lhs.flag == rhs.flag;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator1> & lhs, const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace moveit_trajectory_interface

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsMessage< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "3d18b803936c9bc6d13b57b51b92d129";
  }

  static const char* value(const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x3d18b803936c9bc6ULL;
  static const uint64_t static_value2 = 0xd13b57b51b92d129ULL;
};

template<class ContainerAllocator>
struct DataType< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "moveit_trajectory_interface/FollowRequest";
  }

  static const char* value(const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string topic\n"
"bool flag\n"
;
  }

  static const char* value(const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.topic);
      stream.next(m.flag);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct FollowRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::moveit_trajectory_interface::FollowRequest_<ContainerAllocator>& v)
  {
    s << indent << "topic: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename std::allocator_traits<ContainerAllocator>::template rebind_alloc<char>>>::stream(s, indent + "  ", v.topic);
    s << indent << "flag: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.flag);
  }
};

} // namespace message_operations
} // namespace ros

#endif // MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOWREQUEST_H
